<?php
$miex_redux_demo = get_option('redux_demo');

//Custom fields:
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
require_once get_template_directory() . '/framework/widget/recent-post.php';
require_once get_template_directory() . '/framework/class-ocdi-importer.php';
function special_nav_class ($classes, $item) {
  echo("arg1");
  if (in_array('current-menu-item', $classes) ){
    $classes[] = 'active ';
  }
  return $classes;
}
//Theme Set up:
function miex_theme_setup() {
  /*
   * This theme uses a custom image size for featured images, displayed on
   * "standard" posts and pages.
   */
  add_theme_support( 'custom-header' ); 
  remove_filter ('the_content', 'wpautop');
  add_theme_support( 'custom-background' );
  $lang = get_template_directory_uri() . '/languages';
  load_theme_textdomain('miex', $lang);
  add_theme_support( 'post-thumbnails' );
  // Adds RSS feed links to <head> for posts and comments.
  add_theme_support( 'automatic-feed-links' );
  // Switches default core markup for search form, comment form, and comments
  // to output valid HTML5.
  add_theme_support( "title-tag" );
  add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
  // This theme uses wp_nav_menu() in one location.
  register_nav_menus( array(
    'primary' =>  esc_html__( 'Primary Navigation Menu', 'miex' ),
    'primary_home-3' =>  esc_html__( 'Primary Navigation Menu Home 3', 'miex' ),
    'primary_home-4' =>  esc_html__( 'Primary Navigation Menu Home 4', 'miex' ),
    'primary_blog' =>  esc_html__( 'Primary Navigation Menu Blog', 'miex' ),
  ) );
    // This theme uses its own gallery styles.
}
add_action( 'after_setup_theme', 'miex_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;


function miex_theme_scripts_styles() {
  $miex_redux_demo = get_option('redux_demo');
  $protocol = is_ssl() ? 'https' : 'http';
    wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/assets/css/font-awesome.min.css');
    wp_enqueue_style( 'flaticon', get_template_directory_uri().'/assets/css/flaticon.css');
    wp_enqueue_style( 'miex-bootstrap', get_template_directory_uri().'/assets/css/bootstrap.min.css');
    wp_enqueue_style( 'animate', get_template_directory_uri().'/assets/css/animate.css');

    wp_enqueue_style( 'owl-carousel', get_template_directory_uri().'/assets/css/owl.carousel.css');

    wp_enqueue_style( 'owl-theme', get_template_directory_uri().'assets/css/owl.theme.css');

    wp_enqueue_style( 'slick', get_template_directory_uri().'/assets/css/slick.css');

    wp_enqueue_style( 'slick-theme', get_template_directory_uri().'/assets/css/slick-theme.css');

    wp_enqueue_style( 'owl-transition', get_template_directory_uri().'assets/css/owl.transitions.css');

    wp_enqueue_style( 'jquery-fancybox', get_template_directory_uri().'/assets/css/jquery.fancybox.css');

    wp_enqueue_style( 'miex-style', get_template_directory_uri().'/assets/css/style.css');

   


    wp_enqueue_style( 'miex-css', get_stylesheet_uri(), array(), '2022-07-011' );

    if(isset($miex_redux_demo['chosen-color']) && $miex_redux_demo['chosen-color']==1){
    wp_enqueue_style( 'color', get_template_directory_uri().'/framework/color.php');
    }    
    if(isset($miex_redux_demo['support-rtl']) && $miex_redux_demo['support-rtl']==1){
    wp_enqueue_style( 'support-rtl', get_template_directory_uri().'/rtl.css');
    }
    
  if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
  //Javascript
    wp_enqueue_script("miex-jquery", get_template_directory_uri()."/assets/js/jquery.min.js",array(),false,true);

    wp_enqueue_script("miex-bootstrap", get_template_directory_uri()."/assets/js/bootstrap.min.js",array(),false,true);

    wp_enqueue_script("jquery-plugin-collection", get_template_directory_uri()."/assets/js/jquery-plugin-collection.js",array(),false,true);

    wp_enqueue_script("miex-script", get_template_directory_uri()."/assets/js/script.js",array(),false,true);

}
    
add_action( 'wp_enqueue_scripts', 'miex_theme_scripts_styles' );
//Custom Excerpt Function
function miex_do_shortcode($content) {
    global $shortcode_tags;
    if (empty($shortcode_tags) || !is_array($shortcode_tags))
        return $content;
    $pattern = get_shortcode_regex();
    return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
}  

add_filter('user_contactmethods', 'my_user_contactmethods');  
               
function my_user_contactmethods($user_contactmethods){  
  
  $user_contactmethods['facebook'] = 'Facebook Link';  
  $user_contactmethods['twitter'] = 'Twitter Link';
  $user_contactmethods['instagram'] = 'Instagram Link';  
  $user_contactmethods['linkedin'] = 'Linkedin Link';  
  $user_contactmethods['dribbble'] = 'Dribbble Link'; 
  
  return $user_contactmethods;  
} 

// Widget Sidebar
function miex_widgets_init() {
  register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar', 'miex' ),
    'id'            => 'sidebar-1',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'miex' ),        
        'before_widget' => '<div id="%1$s" class="sidebar-widget widget %2$s" >',        
        'after_widget'  => '</div>',        
        'before_title'  => '<div class="sidebar-title">
                              <h5>',        
        'after_title'   => '</h5></div>'
    ) );

  
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Widget 1', 'miex' ),
    'id'            => 'footer-widget-1',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'miex' ),        
        'before_widget' => '<div id="%1$s" class="menu-1 %2$s" >',        
        'after_widget'  => '</div>',        
        'before_title'  => '<h3 class="widget-title-link-wrap">
                              ',        
        'after_title'   => '</h3>'
    ) );

  register_sidebar( array(
    'name'          => esc_html__( 'Footer Widget 2', 'miex' ),
    'id'            => 'footer-widget-2',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'miex' ),        
        'before_widget' => '<div id="%1$s" class="menu-2 %2$s" >',        
        'after_widget'  => '</div>',        
        'before_title'  => '<h3 class="widget-title-link-wrap">
                              ',        
        'after_title'   => '</h3>'
    ) );

  register_sidebar( array(
    'name'          => esc_html__( 'Footer Widget 3', 'miex' ),
    'id'            => 'footer-widget-3',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'miex' ),        
        'before_widget' => '<div id="%1$s" class="menu-3 %2$s" >',        
        'after_widget'  => '</div>',        
        'before_title'  => '<h3 class="widget-title-link-wrap">
                              ',        
        'after_title'   => '</h3>'
    ) );

}
add_action( 'widgets_init', 'miex_widgets_init' );

//function tag widgets
function miex_tag_cloud_widget($args) {
  $args['number'] = 0; //adding a 0 will display all tags
  $args['largest'] = 18; //largest tag
  $args['smallest'] = 11; //smallest tag
  $args['unit'] = 'px'; //tag font unit
  $args['format'] = 'list'; //ul with a class of wp-tag-cloud
  $args['exclude'] = array(20, 80, 92); //exclude tags by ID
  return $args;
}
add_filter( 'widget_tag_cloud_args', 'miex_tag_cloud_widget' );
function miex_excerpt() {
  $miex_redux_demo = get_option('redux_demo');
  if(isset($miex_redux_demo['blog_excerpt'])){
    $limit = $miex_redux_demo['blog_excerpt'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

function miex2_excerpt() {
  $miex_redux_demo = get_option('redux_demo');
  if(isset($miex_redux_demo['blog_excerpt_2'])){
    $limit = $miex_redux_demo['blog_excerpt_2'];
  }else{
    $limit = 20;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

if (!function_exists( 'next_pagination' )){
 
    function next_pagination(){
 
        if ( $GLOBALS['wp_query']->max_num_pages <2 ){ return ''; }?>
 
            <?php if ( function_exists('wp_pagenavi') ): ?>
 
            <?php wp_pagenavi(); ?> 
 
            <?php else: ?>
                <nav class="pagination" role="navigation">
 
                    <?php if ( get_next_posts_link() ) : ?>
 
                        <button><?php next_posts_link( __('Previous', 'miex') ); ?></button>
 
                    <?php endif; ?>
 
                    <?php if ( get_previous_posts_link() ) :?>
 
                        <button><?php previous_posts_link(__('Next', 'miex') ); ?></button>
 
                    <?php endif; ?>
 
                </nav>
 
             <?php endif; ?>
 
       <?php }
}

function miex_pagination($pages='') {
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    if($pages==''){
        global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
    }
    $pagination = array(
    'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
    'format'    => '',
    'current'     => max( 1, get_query_var('paged') ),
    'total'     => $pages,
    'prev_text' => wp_specialchars_decode(esc_html__( '<i class = "fa fa-angle-left"></i>', 'miex' ),ENT_QUOTES),
    'next_text' => wp_specialchars_decode(esc_html__( '<i class = "fa fa-angle-right"></i>', 'miex' ),ENT_QUOTES),
    'type'      => 'list',
    'end_size'    => 3,
    'mid_size'    => 3
);
    $return =  paginate_links( $pagination );
  echo str_replace( "<ul class='page-numbers'>", '<ul class="pagination">', $return );
}

function miex_search_form( $form ) {
  $form = '
 <div class="widget search-widget">
            <form action="' . esc_url(home_url('/')) . '">
                
                    <input type="text"  placeholder="Search.." name="s" >
                    <button type="submit"><i class="fa fa-search"></i></button>
            </form>
        </div>
  ';
  return $form;
}
add_filter( 'get_search_form', 'miex_search_form' );
//Custom comment List:

 
// Comment Form
function miex_theme_comment($comment, $args, $depth) {
    //echo 's';
  $GLOBALS['comment'] = $comment; ?>
    <?php if(get_avatar($comment,$size='45' )!=''){?>
        <li>
            <ol>
            <div class="article">
                <div class="author-pic">
                     <?php echo get_avatar($comment,$size='45' ); ?>
                </div>
                <div class="details">
                    <div class="author-meta">
                        <div class="name"><h4><?php printf( get_comment_author_link()) ?></h4></div>
                        <div class="date"><span><?php comment_time(get_option( 'date_format' ));?></span></div>
                    </div>
                    <div class="comment-content">
                        <p><?php comment_text() ?></p>
                    </div>
                    <div class="replay">
                        <button><i class="fa fa-reply"></i> <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></button>
                    </div>
                </div>
            </div>
        </ol>
    </li>
<?php }else{?>
    <li>
        <ol>
    <div class="article">
          <div class="details">
                <div class="author-meta">
                    <div class="name"><h4><?php printf( get_comment_author_link()) ?></h4></div>
                    <div class="date"><span><?php comment_time(get_option( 'date_format' ));?></span></div>
                </div>
                <div class="comment-content">
                    <p> <?php comment_text() ?></p>
                </div>
                <div class="replay">
                    <button><i class="fa fa-reply"></i> <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></button>
                </div>
            </div>
        </div>
    </ol>
</li>
    <?php }?>

<?php
}

/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'miex_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function miex_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
      array(
            'name'      => esc_html__( 'One Click Demo Import', 'miex' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'miex' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Widgets', 'miex' ),
            'slug'      => 'classic-widgets',
            'required'  => true,
        ),
      array(
            'name'      => esc_html__( 'Widget Importer & Exporter', 'miex' ),
            'slug'      => 'widget-importer-&-exporter',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Contact Form 7', 'miex' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'WP Maximum Execution Time Exceeded', 'miex' ),
            'slug'      => 'wp-maximum-execution-time-exceeded',
            'required'  => true,
        ), 
      array(
            'name'                     => esc_html__( 'Elementor', 'miex' ),
            'slug'                     => 'elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Miex Common', 'miex' ),
            'slug'                     => 'miex-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/miex-common.zip',
        ),
      array(
            'name'                     => esc_html__( 'Miex Elementor', 'miex' ),
            'slug'                     => 'miex-elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/miex-elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Woocommerce', 'miex' ),
            'slug'                     => 'woocommerce',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/woocommerce.zip',
        ),
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'miex' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'miex' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'miex' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'miex' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'miex' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'miex' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'miex' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'miex' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'miex' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'miex' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'miex' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'miex' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'miex' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'miex' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'miex' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'miex' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'miex' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1717562908452';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        ?>