<!doctype html>
    <html class="no-js" lang="zxx">
    <?php $miex_redux_demo = get_option('redux_demo'); ?>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
        <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
            ?>
            <?php if(isset($miex_redux_demo['favicon']['url'])){ ?>
                <link rel="shortcut icon" href="<?php echo esc_url($miex_redux_demo['favicon']['url']); ?>">
            <?php }?>

        <?php }?>
        <?php wp_head(); ?>
    </head>

<body>

    <!-- start page-wrapper -->
    <div class="page-wrapper" id="home">

        <!-- start preloader -->
        <div class="preloader">
            <div class="dots">
                <span></span>
                <span></span>
                <span></span>
                <span></span>
            </div>
        </div>
        <!-- end preloader -->

        <!-- Start header -->
        <header id="header" class="site-header header-style-1">
            <nav class="navigation navbar navbar-default">
                <div class="site-logo">
                    <a href="<?php echo esc_url(home_url('/')); ?>">
                        <?php if(isset($miex_redux_demo['logo']['url']) && $miex_redux_demo['logo']['url'] !=   ''){ ?>
                        <img src="<?php echo esc_url($miex_redux_demo['logo']['url']); ?>" alt>
                        <?php }else{ ?>
                      <img src="<?php echo get_template_directory_uri();?>/assets/images/logo.jpg" alt>
                   <?php } ?></a>
                </div>
                <div class="container">
                    <div class="navbar-header">
                        <button type="button" class="open-btn">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                    </div>
                    <div id="navbar" class="navbar-collapse collapse navigation-holder">
                        <button class="close-navbar"><i class="fa fa-close"></i></button>
                         <?php 
                                    wp_nav_menu( 
                                      array( 
                                        'theme_location' => 'primary',
                                        'container' => '',
                                        'menu_class' => '', 
                                        'menu_id' => 'navbar',
                                        'menu'            => '',
                                        'container_class' => '',
                                        'container_id'    => '',
                                        'echo'            => true,
                                        'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                        'walker'            => new miex_wp_bootstrap_navwalker(),
                                        'before'          => '',
                                        'after'           => '',
                                        'link_before'     => '',
                                        'link_after'      => '',
                                        'items_wrap'      => '<ul class="nav navbar-nav %2$s">%3$s</ul>',
                                        'depth'           => 0,        
                                    )
                                ); ?>
                    </div><!-- end of nav-collapse -->
                </div><!-- end of container -->
            </nav>
        </header>
        <!-- end of header -->
