<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$miex_redux_demo = get_option('redux_demo');
get_header(); ?>

<div class="page-content">

<div class="blog-banar" style ="background: url(<?php echo esc_url($miex_redux_demo['shop_image']['url']);?>) center center/cover no-repeat local;
    height: 200px;
    margin-top: -30px;
    margin-left: 105px;
    margin-bottom: 50px;
    margin-right: 105px;
    width: inherit;">
        
        <h1 class="shop-title"><?php echo esc_html__( 'Shop Product', 'miex' )?></h1>
    </div>

    <div class="content-inner section-full bg-white">
            <!-- Product -->
            <div class="container">
                <div class="row">

                	<div class="latest-product-filter d-flex justify-content-between">
                        <?php
                            /**
                             * woocommerce_before_shop_loop hook.
                             *
                             * @hooked woocommerce_result_count - 20
                             * @hooked woocommerce_catalog_ordering - 30
                             */
                            do_action( 'woocommerce_before_shop_loop' );
                        ?>
                    </div>
                   
                    <div class="col-md-12 col-sm-12">

		<?php if ( have_posts() ) : ?>

			<?php woocommerce_product_loop_start(); ?>

				<?php woocommerce_product_subcategories(); ?>

				<?php 
                while ( have_posts() ) : the_post(); ?>

					<?php wc_get_template_part( 'content', 'product' ); ?>

				<?php endwhile; // end of the loop. ?>

			<?php woocommerce_product_loop_end(); ?>

			<?php
				/**
				 * woocommerce_after_shop_loop hook.
				 *
				 * @hooked woocommerce_pagination - 10
				 */
				do_action( 'woocommerce_after_shop_loop' );
			?>


		<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

			<?php wc_get_template( 'loop/no-products-found.php' ); ?>



		<?php endif; ?>
        
        		</div>
            </div>


    </div>
    
</div>

</div>


<?php get_footer(); ?>
