<?php
/**
 * Empty cart page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cart-empty.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

wc_print_notices();
$miex_redux_demo = get_option('redux_demo');
?>

<div class="page-content">

<div class="blog-banar" style ="background: url(<?php echo esc_url($miex_redux_demo['shop_image']['url']);?>) center center/cover no-repeat local;
    height: 200px;
    margin-top: -30px;
    margin-left: 105px;
    margin-bottom: 50px;
    margin-right: 105px;
    width: inherit;">
        
        <h1 class="shop-title"><?php echo esc_html__( 'Shopping Cart', 'miex' )?></h1>
    </div>

    <div class="content-area">

        <div class="container woo-entry">
<p class="cart-empty">
	<?php _e( 'Your cart is currently empty.', 'woocommerce' ) ?>
</p>

<?php do_action( 'woocommerce_cart_is_empty' ); ?>

<?php if ( wc_get_page_id( 'shop' ) > 0 ) : ?>
	<p class="return-to-shop">
		<a class="button site-button wc-backward" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
			<?php _e( 'Return To Shop', 'woocommerce' ) ?>
		</a>
	</p>
	</div>
    </div>
    </div>
<?php endif; ?>
