<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
  return;
}
$miex_redux_demo = get_option('redux_demo');
?>

  <div class="col-md-3 col-sm-6 m-b30 product-item card-container">
    <div class="dlab-box ">
      <div class="dlab-thum-bx  dlab-img-effect ">
  <?php
  /**
   * woocommerce_before_shop_loop_item hook.
   *
   * @hooked woocommerce_template_loop_product_link_open - 10
   */
  do_action( 'woocommerce_before_shop_loop_item' ); 

  /**
   * woocommerce_before_shop_loop_item_title hook.
   *
   * @hooked woocommerce_show_product_loop_sale_flash - 10
   * @hooked woocommerce_template_loop_product_thumbnail - 10
   */
  do_action( 'woocommerce_before_shop_loop_item_title' );?>
        <div class="overlay-bx">
            <div class="overlay-icon"> <a href="<?php echo htmlspecialchars_decode(esc_attr($miex_redux_demo['page_cart']));?>"> <i class="fa fa-cart-plus icon-bx-xs"></i> </a> <a href="<?php the_permalink();?>"> <i class="fa fa-search icon-bx-xs"></i> </a> </div>
          </div>
      </div>
  <div class="dlab-info p-a20 text-center">
    <h4 class="dlab-title m-t0 text-uppercase"><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h4>
   
    <h2 class="m-b0">

  <?php 

  /**
   * woocommerce_after_shop_loop_item_title hook.
   *
   * @hooked woocommerce_template_loop_rating - 5
   * @hooked woocommerce_template_loop_price - 10
   */
  do_action( 'woocommerce_after_shop_loop_item_title' ); ?>
    </h2>
    
   <div class="m-t20">
    <?php 

  /**
   * woocommerce_after_shop_loop_item hook.
   *
   * @hooked woocommerce_template_loop_product_link_close - 5
   * @hooked woocommerce_template_loop_add_to_cart - 10
   */
  do_action( 'woocommerce_after_shop_loop_item' );
  ?>
  </div>

</div>
</div>
</div>
