<?php

// register post type1 Portfolio

add_action( 'init', 'register_miex_Portfolio' );

function register_miex_Portfolio() {

    

    $labels = array( 

        'name' => __( 'Portfolio', 'miex' ),

        'singular_name' => __( 'Portfolio', 'miex' ),

        'add_new' => __( 'Add New Portfolio', 'miex' ),

        'add_new_item' => __( 'Add New Portfolio', 'miex' ),

        'edit_item' => __( 'Edit Portfolio', 'miex' ),

        'new_item' => __( 'New Portfolio', 'miex' ),

        'view_item' => __( 'View Portfolio', 'miex' ),

        'search_items' => __( 'Search Portfolio', 'miex' ),

        'not_found' => __( 'No Portfolio found', 'miex' ),

        'not_found_in_trash' => __( 'No Portfolio found in Trash', 'miex' ),

        'parent_item_colon' => __( 'Parent Portfolio:', 'miex' ),

        'menu_name' => __( 'Portfolio', 'miex' ),

    );



    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Portfolio',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Portfolio', 'type1','category1' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-portfolio', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'

    );



    register_post_type( 'Portfolio', $args );

}

add_action( 'init', 'create_type1_hierarchical_taxonomy', 0 );

add_action( 'init', 'create_Category1_hierarchical_taxonomy', 0 );


//create a custom taxonomy name it Skillss for your posts



function create_type1_hierarchical_taxonomy() {



// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI



  $labels = array(

    'name' => __( 'Type', 'miex' ),

    'singular_name' => __( 'Type', 'miex' ),

    'search_items' =>  __( 'Search Type','miex' ),

    'all_items' => __( 'All Type','miex' ),

    'parent_item' => __( 'Parent Type','miex' ),

    'parent_item_colon' => __( 'Parent Type:','miex' ),

    'edit_item' => __( 'Edit Type','miex' ), 

    'update_item' => __( 'Update Type','miex' ),

    'add_new_item' => __( 'Add New Type','miex' ),

    'new_item_name' => __( 'New Type Name','miex' ),

    'menu_name' => __( 'Type','miex' ),

  );     



// Now register the taxonomy



  register_taxonomy('type1',array('Portfolio'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type1' ),

  ));



}

function create_Category1_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Category', 'miex' ),
    'singular_name' => __( 'Category', 'miex' ),
    'search_items' =>  __( 'Search Category','miex' ),
    'all_items' => __( 'All Category','miex' ),
    'parent_item' => __( 'Parent Category','miex' ),
    'parent_item_colon' => __( 'Parent Category:','miex' ),
    'edit_item' => __( 'Edit Category','miex' ), 
    'update_item' => __( 'Update Category','miex' ),
    'add_new_item' => __( 'Add New Category','miex' ),
    'new_item_name' => __( 'New Category Name','miex' ),
    'menu_name' => __( 'Category','miex' ),
  );     

// Now register the taxonomy

  register_taxonomy('category1',array('Portfolio'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'category1' ),
  ));

}


?>